'use strict';var wellKnownSymbol=require('./well-known-symbol-08f3111a.js'),arrayIteration=require('./array-iteration-7afe833b.js'),arrayMethodHasSpeciesSupport=require('./array-method-has-species-support-9fe8fcbb.js');var $map = arrayIteration.a.map;


var HAS_SPECIES_SUPPORT = arrayMethodHasSpeciesSupport.a('map');

// `Array.prototype.map` method
// https://tc39.es/ecma262/#sec-array.prototype.map
// with adding support of @@species
wellKnownSymbol._({ target: 'Array', proto: true, forced: !HAS_SPECIES_SUPPORT }, {
  map: function map(callbackfn /* , thisArg */) {
    return $map(this, callbackfn, arguments.length > 1 ? arguments[1] : undefined);
  }
});